﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm1.aspx.cs" Inherits="WebApplication1.WebForm1" %>


<%@ Register Assembly="C1.Web.UI.Controls.3" Namespace="C1.Web.UI.Controls.C1GridView" TagPrefix="cc1" %>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <div>
        <cc1:C1GridView ID="C1GridView1" runat="server" AutoGenerateColumns="False" 
            DataKeyNames="ShipperID" DataSourceID="SqlDataSource1" ShowFooter="True" 
            VisualStylePath="~/C1WebControls/VisualStyles" >
            <Columns>
                <cc1:C1BoundField DataField="ShipperID" HeaderText="ShipperID" ReadOnly="True" 
                    SortExpression="ShipperID">
                </cc1:C1BoundField>
                <cc1:C1BoundField DataField="CompanyName" HeaderText="CompanyName" 
                    SortExpression="CompanyName">
                </cc1:C1BoundField>
                <cc1:C1BoundField DataField="Phone" HeaderText="Phone" SortExpression="Phone">
                </cc1:C1BoundField>
            </Columns>
        </cc1:C1GridView>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
            ConnectionString="<%$ ConnectionStrings:NorthWindConnectionString %>" 
            DeleteCommand="DELETE FROM [Shippers] WHERE [ShipperID] = @ShipperID" 
            InsertCommand="INSERT INTO [Shippers] ([CompanyName], [Phone]) VALUES (@CompanyName, @Phone)" 
            oninserting="SqlDataSource1_Inserting" SelectCommand="SELECT * FROM [Shippers]" 
            UpdateCommand="UPDATE [Shippers] SET [CompanyName] = @CompanyName, [Phone] = @Phone WHERE [ShipperID] = @ShipperID">
            <DeleteParameters>
                <asp:Parameter Name="ShipperID" Type="Int32" />
            </DeleteParameters>
            <InsertParameters>
                <asp:Parameter Name="CompanyName" Type="String" />
                <asp:Parameter Name="Phone" Type="String" />
            </InsertParameters>
            <UpdateParameters>
                <asp:Parameter Name="CompanyName" Type="String" />
                <asp:Parameter Name="Phone" Type="String" />
                <asp:Parameter Name="ShipperID" Type="Int32" />
            </UpdateParameters>
        </asp:SqlDataSource>
        <asp:TextBox ID="TextBox1" runat="server"></asp:TextBox>
        <asp:TextBox ID="TextBox2" runat="server"></asp:TextBox>
        <br />
        <asp:Button ID="Button1" runat="server" Text="Add Values to GridView" onclick="Button1_Click" />
    </div>
    </form>
</body>
</html>
